package com.yunzhi.inte.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.inte.entity.Store;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.yunzhi.inte.entity.FoodIngredients;

import java.util.List;

/**
 * 菜肴食材;(food_ingredients)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2022-9-17
 */
@Mapper
public interface FoodIngredientsMapper  extends BaseMapper<FoodIngredients>{

    IPage<Store> getByDish(IPage<Store> pg, @Param("dishId") Integer dishId);

    List<FoodIngredients> getListByDish(@Param("dishId") Integer dishId);

    int deleteNotExist(@Param("idList") List<Integer> idList);

    FoodIngredients getByDishAndItem(@Param("dishId") Integer dishId,@Param("itemId") Integer itemId);

    List<Integer> getItemListByDish(@Param("dishId") Integer dishId);
}