package com.yunzhi.inte.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.yunzhi.inte.entity.StoreLog;

import java.util.List;

/**
 * 库存日志;(store_log)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2022-9-17
 */
@Mapper
public interface StoreLogMapper  extends BaseMapper<StoreLog>{

    IPage<StoreLog> getPageBy(IPage<StoreLog> pg, @Param("storeId") Integer storeId, @Param("storeName") String storeName, @Param("typeId") Integer typeId);

    List<StoreLog> getListBy(@Param("storeId") Integer storeId, @Param("storeName") String storeName, @Param("typeId") Integer typeId);
}