package com.yunzhi.inte.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yunzhi.inte.entity.FoodIngredients;
import com.yunzhi.inte.entity.Store;

import java.util.List;

/**
 * 菜肴食材;(food_ingredients)表服务接口
 * @author : http://njyunzhi.com
 * @date : 2022-9-17
 */
public interface FoodIngredientsService extends IBaseService<FoodIngredients> {

    IPage<Store> getByDish(IPage<Store> pg, Integer dishId);

    void addOrUpdate(Integer dishId, List<Integer> ingredientsList);

    List<Integer> getItemListByDish(Integer dishId);
}